org.apache.poi.sl.draw.binding

## Class CTHslColor

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTHslColor

-     public class CTHslColor
      extends java.lang.Object

  Java class for CT_HslColor complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_HslColor">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://schemas.openxmlformats.org/drawingml/2006/main}EG_ColorTransform" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="hue" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveFixedAngle" />
             <attribute name="sat" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" />
             <attribute name="lum" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<javax.xml.bind.JAXBElement<?>>` | `egColorTransform`
    `protected int` | `hue`
    `protected int` | `lum`
    `protected int` | `sat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTHslColor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<javax.xml.bind.JAXBElement<?>>` | `getEGColorTransform()` Gets the value of the egColorTransform property.
    `int` | `getHue()` Gets the value of the hue property.
    `int` | `getLum()` Gets the value of the lum property.
    `int` | `getSat()` Gets the value of the sat property.
    `boolean` | `isSetEGColorTransform()`
    `boolean` | `isSetHue()`
    `boolean` | `isSetLum()`
    `boolean` | `isSetSat()`
    `void` | `setHue(int value)` Sets the value of the hue property.
    `void` | `setLum(int value)` Sets the value of the lum property.
    `void` | `setSat(int value)` Sets the value of the sat property.
    `void` | `unsetEGColorTransform()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### egColorTransform

          protected java.util.List<javax.xml.bind.JAXBElement<?>> egColorTransform

    - #### hue

          protected int hue

    - #### sat

          protected int sat

    - #### lum

          protected int lum

  - ### Constructor Detail

    - #### CTHslColor

          public CTHslColor()

  - ### Method Detail

    - #### getEGColorTransform

          public java.util.List<javax.xml.bind.JAXBElement<?>> getEGColorTransform()

      Gets the value of the egColorTransform property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the egColorTransform property.

      For example, to add a new item, do as follows:

              getEGColorTransform().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTInverseGammaTransform``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTGrayscaleTransform``>` `JAXBElement``<``CTComplementTransform``>` `JAXBElement``<``CTInverseTransform``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTAngle``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTPositiveFixedAngle``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTFixedPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositivePercentage``>` `JAXBElement``<``CTPositivePercentage``>` `JAXBElement``<``CTGammaTransform``>` `JAXBElement``<``CTPercentage``>`

    - #### isSetEGColorTransform

          public boolean isSetEGColorTransform()

    - #### unsetEGColorTransform

          public void unsetEGColorTransform()

    - #### getHue

          public int getHue()

      Gets the value of the hue property.

    - #### setHue

          public void setHue(int value)

      Sets the value of the hue property.

    - #### isSetHue

          public boolean isSetHue()

    - #### getSat

          public int getSat()

      Gets the value of the sat property.

    - #### setSat

          public void setSat(int value)

      Sets the value of the sat property.

    - #### isSetSat

          public boolean isSetSat()

    - #### getLum

          public int getLum()

      Gets the value of the lum property.

    - #### setLum

          public void setLum(int value)

      Sets the value of the lum property.

    - #### isSetLum

          public boolean isSetLum()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.